List series groups
curl --request GET \
--url https://demo.komga.org/api/v1/series/alphabetical-groups \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://demo.komga.org/api/v1/series/alphabetical-groups"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://demo.komga.org/api/v1/series/alphabetical-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://demo.komga.org/api/v1/series/alphabetical-groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://demo.komga.org/api/v1/series/alphabetical-groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://demo.komga.org/api/v1/series/alphabetical-groups")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://demo.komga.org/api/v1/series/alphabetical-groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body[
{
"count": 123,
"group": "<string>"
}
]{
"violations": [
{
"fieldName": "<string>",
"message": "<string>"
}
]
}Series
List series groups
deprecated
Use POST /api/v1/series/list/alphabetical-groups instead. Deprecated since 1.19.0.
GET
/
api
/
v1
/
series
/
alphabetical-groups
List series groups
curl --request GET \
--url https://demo.komga.org/api/v1/series/alphabetical-groups \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://demo.komga.org/api/v1/series/alphabetical-groups"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://demo.komga.org/api/v1/series/alphabetical-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://demo.komga.org/api/v1/series/alphabetical-groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://demo.komga.org/api/v1/series/alphabetical-groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://demo.komga.org/api/v1/series/alphabetical-groups")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://demo.komga.org/api/v1/series/alphabetical-groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body[
{
"count": 123,
"group": "<string>"
}
]{
"violations": [
{
"fieldName": "<string>",
"message": "<string>"
}
]
}Authorizations
basicAuthapiKey
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Available options:
ENDED, ONGOING, ABANDONED, HIATUS Available options:
UNREAD, READ, IN_PROGRESS Search by regex criteria, in the form: regex,field. Supported fields are TITLE and TITLE_SORT.
Author criteria in the format: name,role. Multiple author criteria are supported.